Subject: Re: GIT Web Interface

From: Greg KH <[email-masked]>
Date: Tue, 19 Apr 2005 10:41:19 -0700

On Tue, Apr 19, 2005 at 07:32:42PM +0200, Kay Sievers wrote:
> On Tue, Apr 19, 2005 at 09:52:48AM -0700, Greg KH wrote:
> > On Tue, Apr 19, 2005 at 05:59:45PM +0200, Kay Sievers wrote:
> > > On Tue, 2005-04-19 at 02:52 +0200, Petr Baudis wrote:
> > > > Dear diary, on Tue, Apr 19, 2005 at 02:44:15AM CEST, I got a letter
> > > > where Kay Sievers <[email-masked]> told me that...
> > > > > I'm hacking on a simple web interface, cause I missed the bkweb too much.
> > > > > It can't do much more than browse through the source tree and show the
> > > > > log now, but that should change... :)
> > > > >   http://ehlo.org/~kay/gitweb.pl?project=linux-2.6
> > > > 
> > > > Hmm, looks nice for a start. (But you have obsolete git-pasky tree there! ;-)
> > > 
> > > Yeah, it's fresh now. :)
> > > 
> > > > > How can I get the files touched with a changeset and the corresponding
> > > > > diffs belonging to it?
> > > > 
> > > > diff-tree to get the list of files, you can do the corresponding diffs
> > > > e.g. by doing git diff -r tree1:tree2. Preferably make a patch for it
> > > > first to make it possible to diff individual files this way.
> > > 
> > > Ah, nice! Got it working.
> > 
> > Looks good, care to post the updated version?
> 
> Sure, but expect it to change dramatically tonight. :)

Ok, how about putting a link to it somewhere then, so you don't have to
be bothered with people like me asking for the latest copy? :)

thanks,

greg k-h